KDictSpellingHighlighter Class Reference

`#include <ksyntaxhighlighter.h>`

Inherits QObject, and KSpellingHighlighter.

## Signals

void | activeChanged (const QString &)
void | newSuggestions (const QString &originalword, const QStringList &suggestions, unsigned int pos)

## Public Member Functions

| KDictSpellingHighlighter (QTextEdit *textEdit, bool spellCheckingActive=true, bool autoEnable=true, const QColor &spellColor=red, bool colorQuoting=false, const QColor &QuoteColor0=black, const QColor &QuoteColor1=QColor(0x00, 0x80, 0x00), const QColor &QuoteColor2=QColor(0x00, 0x70, 0x00), const QColor &QuoteColor3=QColor(0x00, 0x60, 0x00), KSpellConfig *spellConfig=0)
virtual bool | isMisspelled (const QString &word)
void | restartBackgroundSpellCheck ()
void | setActive (bool active)
bool | isActive () const
void | setAutomatic (bool automatic)
bool | automatic () const

## Static Public Member Functions

static void | dictionaryChanged ()

## Protected Slots

void | slotMisspelling (const QString &originalWord, const QStringList &suggestions, unsigned int pos)
void | slotCorrected (const QString &originalWord, const QString &, unsigned int)
void | slotRehighlight ()
void | slotDictionaryChanged ()
void | slotSpellReady (KSpell *spell)
void | slotAutoDetection ()
void | slotLocalSpellConfigChanged ()
void | slotKSpellNotResponding ()

## Protected Member Functions

QString | spellKey ()
bool | eventFilter (QObject *o, QEvent *e)

## Detailed Description

Dictionary sensitive text highlighter.

Definition at line 94 of file ksyntaxhighlighter.h.

## Member Function Documentation

bool KDictSpellingHighlighter::automatic | ( |  | ) | const

Returns the state of automatic (de)activation.

Returns
  true if automatic (de)activation is enabled

See also
  setAutomatic()

Definition at line 497 of file ksyntaxhighlighter.cpp.

bool KDictSpellingHighlighter::isActive | ( |  | ) | const

Returns the state of spell checking.

Returns
  true if spell checking is active

See also
  setActive()

Definition at line 482 of file ksyntaxhighlighter.cpp.

void KDictSpellingHighlighter::setActive | ( | bool | active | ) |

Enable/Disable spell checking.

If `active` is true then spell checking is enabled; otherwise it is disabled. Note that you have to disable automatic (de)activation with setAutomatic() before you change the state of spell checking if you want to persistently enable/disable spell checking.

Parameters

  active | if true, then spell checking is enabled

See also
  isActive(), setAutomatic()

Definition at line 469 of file ksyntaxhighlighter.cpp.

void KDictSpellingHighlighter::setAutomatic | ( | bool | automatic | ) |

En-/Disable automatic (de)activation in case of too many errors.

If `automatic` is true then spell checking will be deactivated if too many words were mispelled and spell checking will be activated again if the amount of mispelled words drop below a certain threshold.

Parameters

  automatic | if true, then automatic (de)activation is enabled

See also
  automatic()

Definition at line 487 of file ksyntaxhighlighter.cpp.

The documentation for this class was generated from the following files:

- ksyntaxhighlighter.h
- ksyntaxhighlighter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys